//Base part


//length: part length in ms
//startTime: the absolute time when the part starts
//endTime: time that part need for end effect in ms
var PartBase = function(duration, startTime, endTime){
  this.duration = duration;
  this.startTime = startTime;
  this.endTime = endTime;
}

//scene is initialized before demo starts
PartBase.prototype.initScene = function(){
}

//rendering function
PartBase.prototype.render = function(elapsedTime){
}

//Operations tahta takes place before rendering in every cycle
PartBase.prototype.animate = function(elapsedTime){
}

//prepare function that is called before first rendering
PartBase.prototype.prepare = function(elapsedTime){
}

//--------------------------------------------------
// PROTOTYPAL INHERITANCE FUNCTION
//--------------------------------------------------
PartBase.prototype.inheritance = function(){
  function PartBasePrototype(){};
  PartBasePrototype.prototype = this;
  var created = new PartBasePrototype();
  return created;
};
